<!DOCTYPE html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../../favicon.ico">

    <title>Advance Network Scanner</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="/static/jumbotron-narrow.css" rel="stylesheet">
</head>

<body>

    <div class="container">
        <div class="header clearfix">
            <nav>
              <ul class="nav nav-pills float-right">
                <li class="nav-item">
                  <a class="nav-link active" href="/">Scan<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="/recent">Recent</a>
                </li>
                <li class="nav-item">
      
                </li>
              </ul>
            </nav>
            <h3 class="text-muted">Advance Network Scanner</h3>
          </div>
        <div class="container" style="padding-top: 50px;">
            <!-- Device Information -->
            <h3>Device Information</h3>
            <table class="table">
                <tr>
                    <th>IP Address</th>
                    <td>{{ device.ip_address }}</td>
                </tr>
                <tr>
                    <th>Device Type</th>
                    <td>{{ device.device_type}}</td>
                </tr>
                <tr>
                    <th>Hostname</th>
                    <td>{{ device.hostname }}</td>
                </tr>
            </table>

            <!-- Operation System Information -->
            <h3>Operation System Information</h3>
            <table class="table">
                <tr>
                    <th>Name</th>
                    <th>Accuracy</th>
                </tr>
                {% for os in device.operation_systems %}
                <tr>
                    <td>{{ os.name }}</td>
                    <td>{{ os.accuracy }}</td>
                </tr>
                {% endfor %}
            </table>

            {% if zgrab_data %}
                <!-- Zgrab Information -->
                <h3>Zgrab Information</h3>
                <table class="table">
                    <tr>
                        <th>Status</th>
                        <td>{{ zgrab_data.status }}</td>
                    </tr>
                    <tr>
                        <th>Protocol</th>
                        <td>{{ zgrab_data.protocol }}</td>
                    </tr>
                    <tr>
                        <th>Is S7</th>
                        <td>{{ zgrab_data.is_s7 }}</td>
                    </tr>
                    <tr>
                        <th>System</th>
                        <td>{{ zgrab_data.system }}</td>
                    </tr>
                    <tr>
                        <th>Module</th>
                        <td>{{ zgrab_data.module }}</td>
                    </tr>
                    <tr>
                        <th>Plant ID</th>
                        <td>{{ zgrab_data.plant_id }}</td>
                    </tr>
                    <tr>
                        <th>Copyright</th>
                        <td>{{ zgrab_data.copyright }}</td>
                    </tr>
                    <tr>
                        <th>Serial Number</th>
                        <td>{{ zgrab_data.serial_number }}</td>
                    </tr>
                    <tr>
                        <th>Module Type</th>
                        <td>{{ zgrab_data.module_type }}</td>
                    </tr>
                    <tr>
                        <th>Reserved for OS</th>
                        <td>{{ zgrab_data.reserved_for_os }}</td>
                    </tr>
                    <tr>
                        <th>Location</th>
                        <td>{{ zgrab_data.location }}</td>
                    </tr>
                    <tr>
                        <th>Module ID</th>
                        <td>{{ zgrab_data.module_id }}</td>
                    </tr>
                    <tr>
                        <th>Hardware</th>
                        <td>{{ zgrab_data.hardware }}</td>
                    </tr>
                    <tr>
                        <th>Firmware</th>
                        <td>{{ zgrab_data.firmware }}</td>
                    </tr>
                    <tr>
                        <th>Timestamp</th>
                        <td>{{ zgrab_data.timestamp }}</td>
                    </tr>
                </table>
                {% if zgrab_vuln %}
                <!-- Zgrab Vulnerability -->
                <h3>Zgrab Potentional Vulnerability</h3>
                <table class="table">
                    <table class="table">
                        <tr>
                            <th>Name</th>
                            <th>Score</th>
                            <th>URL</th>
                            <th>Matches</th>
                        </tr>
                        {% for vuln in zgrab_vuln %}
                        <tr>
                            <td>{{ vuln.name }}</td>
                            <td>{{ vuln.score }}</td>
                            <td><a href="{{ vuln.url }}">{{ vuln.url }}</a></td>
                            <td>{{ vuln.match }}</td>
                        </tr>
                        {% endfor %}
                    </table>
                    
                </table>
                {% endif %}

                {% endif %}

            <!-- Ports Information -->
            {% if device.ports |length > 0 %}
            <h3>Ports Information</h3>
            <table class="table">
                <tr>
                    <th>Port Number</th>
                    <th>Service Name</th>
                    <th>Vulnerabilities Found</th>
                </tr>
                {% for port in device.ports %}
                <tr>
                    <td><a href="{{ url_for('port', id=port.id) }}">Port {{ port.number }}</a></td>
                    <td>{{ port.service_name }}</td>
                    <td>{{ port.vulnerabilities|length }}</td>
                </tr>
                {% endfor %}
            </table>
            {% endif %}

        </div>
    </div>


    <div style="margin-bottom: 50px;"></div>

    </div> <!-- /container -->

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>


</body>

</html>